[Помогите] Адаптация модуля от 2 под 1.5

Тема в разделе "OpenCart", создана пользователем fanton123, 9 мар 2016.

  1. fanton123

    fanton123

    Регистрация:
    24 дек 2012
    Сообщения:
    256
    Симпатии:
    29
    Есть модуль оплаты от Приват Банк написан под версию Opencart 2.x. Необходимо его переделать под 1.5.5.1. Вообще возможно ли это сделать?
    Я начал: На стороне админки вроде оптимизировал.
    Вот на стороне пользователя не получается.
    Помогите.
     
  2. MGT1

    MGT1

    Регистрация:
    5 янв 2013
    Сообщения:
    617
    Симпатии:
    182
    Тебе нужен функционал именно росстрочки или просто оплаты по карте?
    Если второе посмотри на моем сайте оплату онлайн-заказа приват24


    Если подходит - в модулях есть этот, я же его и выставлял.
     
  3. chukcha

    chukcha

    Регистрация:
    9 окт 2014
    Сообщения:
    283
    Симпатии:
    85
    Вот на стороне пользователя не получается.

    Что не получается?

    Не оптимизировал, а адаптировал

    [offtop]
    Доктор , срочно - катстрируйте меня, вопрос жизни и смерти
    - Мы сделали вам операцию, а теперь расскажите зачем такая срочность?
    - я хотел жениться на еврейке, но ее отец сказал, что я должен сделать обрезание.
    - ???
    - А это не одно итоже?
     
  4. fanton123

    fanton123

    Регистрация:
    24 дек 2012
    Сообщения:
    256
    Симпатии:
    29
    В этом модуле 3 способа оплаты:
    Мгновенная рассрочка (ПриватБанк)
    Оплата частями - Деньги в периоде (ПриватБанк)
    Оплата частями (ПриватБанк)

    Необходим Мгновенная рассрочка (ПриватБанк).

    При оформлении выдает:
    Fatal error: Call to undefined method Loader::view() in ../catalog/controller/payment/privatbank_paymentparts_ii.php on line 36

    На там код:


    Я так понимаю используется функция которую Opencar 1.5.5.1 не понимает. Нужно её переписать.
     
  5. chukcha

    chukcha

    Регистрация:
    9 окт 2014
    Сообщения:
    283
    Симпатии:
    85
    1.
    Ну так посмотрите как в 1.5 загружаются шаблоны

    2. Вы же адаптировали админку, а разве там не такой код?